# Generated from apidragon-1.8.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name apidragon

Name: rubygem-%{gem_name}
Version: 1.8.0
Release: 1%{?dist}
Summary: Ruby based CLI for accessing veracode's api
License: MIT
URL: http://github.com/isand3r/apidragon
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 2.0
# BuildRequires: rubygem(jeweler) < 3
# BuildRequires: rubygem(reek) >= 1.2
# BuildRequires: rubygem(reek) < 2
# BuildRequires: rubygem(roodi) >= 2.1
# BuildRequires: rubygem(roodi) < 3
# BuildRequires: rubygem(shoulda) >= 3.5
# BuildRequires: rubygem(shoulda) < 4
# BuildRequires: rubygem(rubocop) >= 0.32
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(simplecov) >= 0.10
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(yard) >= 0.7
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
Ruby based CLI for accessing veracode's api.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/apidragon
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/plugin_examples
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/README.rdoc

%changelog
* Mon Apr 18 2022 mockbuilder - 1.8.0-1
- Initial package
